Subject: Re: [PATCH v3 6/7] netlink: Add multicast group level permissions

From: Jakub Kicinski <[email-masked]>
Date: Fri, 31 Mar 2023 10:24:54 -0700

On Fri, 31 Mar 2023 17:00:27 +0000 Anjali Kulkarni wrote:
> > Is there a reason this is better than implementing .bind
> > in the connector family and filtering there?  
> 
> Are you suggesting adding something like a new struct proto_ops for
> the connector family? I have not looked into that, though that would
> seem like a lot of work, and also I have not seen any infra structure
> to call into protocol specific bind from netlink bind?

Where you're adding a release callback in patch 2 - there's a bind
callback already three lines above. What am I missing?